# 1. Présentation de Majic pour FME

L&rsquo;extension MAJIC pour FME permet de lire les fichiers MAJIC et Edigeo produites par la Direction Générale des Impôts (DGI), service du ministère français des finances. Concernant les données Edigeo-pci et dxf-pci, elles sont utilisées par la DGI pour la fourniture des planches cadastrales sous forme numérique.

Les formats de rôles sont également supportés pour la lecture dans FME Desktop : taxe professionnelle, taxe d’habitation, taxe foncière et taxe des ordures ménagères. Ces formats sont versionnés par année. Ainsi, le format « Rôle Taxe Foncière 2018 » contenant les mises à jour 2018 de la DGI, permet de lire les fichiers relatifs à la taxe foncière de l’année 2017.

Les fichiers MAJIC contiennent la description fiscale de l&rsquo;ensemble des propriétés foncières bâties et non bâties. Ils sont donc complémentaires des planches cadastrales qui fournissent des informations graphiques sur la géométrie et l&rsquo;emplacement de ces biens. Pour cette raison, les fichiers MAJIC sont parfois appelés "matrice cadastrale".

Il existe plusieurs types de fichiers MAJIC décrivant chacun une entité spécifique :

* le parcellaire (ou non-bâti)
* les bâtiments (ou bâti)
* les propriétaires
* la voirie et les communes (fichier FANTOIR)
* les propriétés divisées en lots (pdl)
* la table de correspondance lot/local (revd166)

Les données FANTOIR et Edigeo sont accessibles en ligne librement auprès des services des impôts.

Les autres sont confidentiels et ne sont fournis qu&rsquo;aux collectivités locales car ils contiennent des informations nominatives sur les propriétaires de biens.

Veuillez consulter votre délégation locale de la DGI pour plus d&rsquo;informations sur la disponibilité de ces fichiers.

---

## 1.1 Installation

L&rsquo;installation de Majic pour FME donne accès à des formats supplémentaires dans les applications de FME Desktop.

![](/images/Lecture_formats_DGFIP/01.Presentation/02.Formats.png)
*Formats Majic disponibles dans la suite FME*

Pour installer l&rsquo;extension Majic pour FME :

1. Fermez les applications de la suite FME.

2. Télécharger l&rsquo;extension sur le site de téléchargement de Veremes.

3. Lancer l&rsquo;application setup.exe et suivez les indications.


![](/images/Lecture_formats_DGFIP/01.Presentation/03.Assistant_installation.png)


![](/images/icones/warning.png) **Attention** : les formats MAJIC seront disponibles uniquement pour le profil Windows logué au moment de l’installation. Si vous souhaitez que les formats MAJIC soient disponibles pour un autre profil, vous devez vous connecter avec ce profil et lancer FME Workbench.
Dans le menu « Outils \ Options FME \ Chemins par défaut \ Dossiers FME partagés, ajoutez le répertoire où est installé MAJIC pour FME, en général : « C:\Program Files\FME\majic\ ».

---

## 1.2 Désinstallation

L&rsquo;utilitaire de désinstallation présent dans le répertoire d&rsquo;installation de l&rsquo;extension permet la désinstallation de Majic pour FME.

---

## 1.3 Fonctionnement des modules de lecture des formats Majic

Les différents modules de lecture accepte des fichiers portant une extension quelconque. C&rsquo;est à l&rsquo;utilisateur de choisir le bon module de lecture correspondant au fichier à lire.

Lorsqu&rsquo;un fichier non conforme au format spécifié est lu, une erreur est générée dans le fichier de log et le traitement s&rsquo;arrête.

### Attribut de formats

Les attributs de formats suivants sont masqués mais sont disponibles dans FME Workbench à l&rsquo;aide de la fonction AttributeCreator, ou du Transformer AttributeExposer.

<table class="docutils" border="1">
<thead><tr class="tableizer-firstrow"><th>Attribut</th><th>Description</th></tr></thead><tbody>
 <tr class="row-odd"><td>majic_code_article</td><td>valeur de l&rsquo;article pour la ligne</td></tr>
 <tr class="row-even"><td>majic_col0</td><td>ligne non décodée correspondant à l&rsquo;enregistrement d&rsquo;origine</td></tr>
 <tr class="row-odd"><td>majic_longueur</td><td>nombre de caractère de la ligne</td></tr>
 <tr class="row-even"><td>majic_num_ligne</td><td>numéro de la ligne dans le fichier d&rsquo;origine</td></tr>
 <tr><td>majic_type</td><td>type de fichier (bati, non-bati...)</td></tr>
</tbody></table>

### Attributs spécifiques

En plus des attributs natifs décrits par la DGI, les différents modules de lecture des fichiers majic génèrent des attributs par concaténation. Il s&rsquo;agit généralement d&rsquo;identifiants qui permettent d&rsquo;exploiter plus facilement le modèle de données.
Ces identifiants ne contiennent pas d&rsquo;espace. Les caractères "vide" ou "espace" sont remplacés par des zéro.

Par exemple ID_PAR permet d&rsquo;identifier un parcelle de manière unique.
Il est construit par concaténation des attributs :
CCODEP+CCODIR+CCOCOM+CCOPRE+CCOSEC+DNUPLA

CCOPRE est codé sur trois caractères. Lorsqu&rsquo;il vide, il est remplacé par "000" lors de la création de ID_PAR.

Par ailleurs, des attributs sont ajoutés pour décrire les codes utilisés par la DGI. Par exemple, lorsque CNATSP = "ABRIC", on trouve la chaîne « Abricotiers » dans la table de correspondance associée L_CNATSP.

Tous les attributs correspondant au libellé d’une valeur portent le nom de l’attribut codé préfixé par « L_ ».

## 1.4 Licence

La société Veremes est propriétaire du logiciel "Majic pour FME".

La société Veremes concède exclusivement une licence d&rsquo;utilisation à des utilisateurs dûment référencés du logiciel FME de Safe Software.

Cette licence est une licence d&rsquo;utilisation. En aucun cas, les utilisateurs n&rsquo;ont le droit de modifier, de renommer ou de distribuer l&rsquo;un des fichiers faisant partie de "Majic pour FME".

## 1.5 Limitation

"Majic pour FME" ne fonctionne que sur les distributions Professional Edition et supérieures (Esri Edition, Oracle Edition) du logiciel FME à partir de la version 2018.1.
